Package com.sas.services.publish

# Class AnnotatedServiceResultSet

java.lang.Object
com.sas.services.publish.ServiceResultSet
com.sas.services.publish.AnnotatedServiceResultSet

All Implemented Interfaces:
  `com.sas.sql.AnnotatedResultSet`, `AutoCloseable`, `ResultSet`, `Wrapper`

public class AnnotatedServiceResultSet extends ServiceResultSet implements com.sas.sql.AnnotatedResultSet
This class defines the methods needed to consume column and data set annotations. These annotations correspond to the extended attributes of a SAS data set. These methods can be used with SAS 9.4 or later.

Since:
  9.4

- ## Field Summary

  ### Fields inherited from class com.sas.services.publish.ServiceResultSet

  `_columns, _retriever`

  ### Fields inherited from interface java.sql.ResultSet

  `CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnnotatedServiceResultSet(DatasetEntryCallbackInterface retriever)`
  `AnnotatedServiceResultSet(DatasetEntryCallbackInterface retriever, int nobs)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearColumnAnnotation(int arg0, String arg1)`
  `void`
  `clearColumnAnnotation(String arg0, String arg1)`
  `void`
  `clearColumnAnnotations(int arg0)`
  `void`
  `clearColumnAnnotations(String arg0)`
  `void`
  `clearResultSetAnnotation(String annotationName)`
  `void`
  `clearResultSetAnnotations()`
  `Map<String,Object>`
  `getColumnAnnotations(int columnIndex)`
  `Map<String,Object>`
  `getColumnAnnotations(String columnName)`
  `int`
  `getColumnAnnotationType(int columnIndex, String annotationName)`
  Gets the SQL type for the column.
  `int`
  `getColumnAnnotationType(String columnName, String annotationName)`
  `double`
  `getDoubleColumnAnnotation(int columnIndex, String annotationName)`
  `double`
  `getDoubleColumnAnnotation(String columnName, String annotationName)`
  `double`
  `getDoubleResultSetAnnotation(String annotationName)`
  `Character`
  `getMissingValueColumnAnnotation(int columnIndex, String annotationName)`
  `Character`
  `getMissingValueColumnAnnotation(String columnName, String annotationName)`
  `Character`
  `getMissingValueResultSetAnnotation(String annotationName)`
  `Map<String,Object>`
  `getResultSetAnnotations()`
  `int`
  `getResultSetAnnotationType(String annotationName)`
  Gets the SQL type for the ResultSet.
  `String`
  `getStringColumnAnnotation(int columnIndex, String annotationName)`
  `String`
  `getStringColumnAnnotation(String columnName, String annotationName)`
  `Map<String,Object>`
  `getStringColumnAnnotations(String columnName)`
  `String`
  `getStringResultSetAnnotation(String annotationName)`
  `boolean`
  `hasColumnAnnotation(int columnIndex, String annotationName)`
  `boolean`
  `hasColumnAnnotation(String columnName, String annotationName)`
  `boolean`
  `hasColumnAnnotations(int columnIndex)`
  `boolean`
  `hasColumnAnnotations(String columnName)`
  `boolean`
  `hasResultSetAnnotation(String annotationName)`
  `boolean`
  `hasResultSetAnnotations()`
  `void`
  `setColumnAnnotations(int arg0, Map<String,Object> arg1)`
  `void`
  `setColumnAnnotations(String arg0, Map<String,Object> arg1)`
  `void`
  `setDoubleColumnAnnotation(int arg0, String arg1, Double arg2)`
  `void`
  `setDoubleColumnAnnotation(String arg0, String arg1, Double arg2)`
  `void`
  `setDoubleResultSetAnnotation(String arg0, Double arg1)`
  `void`
  `setNullColumnAnnotation(int arg0, int arg1, String arg2)`
  `void`
  `setNullColumnAnnotation(int arg0, int arg1, String arg2, String arg3)`
  `void`
  `setNullResultSetAnnotation(int arg0, String arg1)`
  `void`
  `setNullResultSetAnnotation(int arg0, String arg1, String arg2)`
  `void`
  `setResultSetAnnotations(Map<String,Object> arg0)`
  `void`
  `setStringColumnAnnotation(int arg0, String arg1, String arg2)`
  `void`
  `setStringColumnAnnotation(String arg0, String arg1, String arg2)`
  `void`
  `setStringResultSetAnnotation(String arg0, String arg1)`
  `boolean`
  `wasAnnotationNull()`
  `String[]`
  `wasAnnotationsNull()`

  ### Methods inherited from class com.sas.services.publish.ServiceResultSet

  `absolute, afterLast, beforeFirst, cancelRowUpdates, clearWarnings, close, deleteRow, fetch, finalize, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getHoldability, getInt, getInt, getLong, getLong, getMetaData, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getRowId, getRowId, getShort, getShort, getSQLXML, getSQLXML, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, isAfterLast, isBeforeFirst, isClosed, isFirst, isLast, isWrapperFor, last, moveToCurrentRow, moveToInsertRow, next, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, setColumns, setFetchDirection, setFetchSize, setNumColumns, unwrap, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

  ### Methods inherited from class java.lang.Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.sql.ResultSet

  `updateObject, updateObject, updateObject, updateObject`

- ## Constructor Details

  - ### AnnotatedServiceResultSet

    public AnnotatedServiceResultSet(DatasetEntryCallbackInterface retriever)

  - ### AnnotatedServiceResultSet

    public AnnotatedServiceResultSet(DatasetEntryCallbackInterface retriever, int nobs)

- ## Method Details

  - ### clearColumnAnnotations

    public void clearColumnAnnotations(int arg0) throws SQLException
    Specified by:
      `clearColumnAnnotations` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### clearColumnAnnotations

    public void clearColumnAnnotations(String arg0) throws SQLException
    Specified by:
      `clearColumnAnnotations` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### clearColumnAnnotation

    public void clearColumnAnnotation(String arg0, String arg1) throws SQLException
    Specified by:
      `clearColumnAnnotation` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### clearColumnAnnotation

    public void clearColumnAnnotation(int arg0, String arg1) throws SQLException
    Specified by:
      `clearColumnAnnotation` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### clearResultSetAnnotation

    public void clearResultSetAnnotation(String annotationName) throws SQLException
    Specified by:
      `clearResultSetAnnotation` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### clearResultSetAnnotations

    public void clearResultSetAnnotations() throws SQLException
    Specified by:
      `clearResultSetAnnotations` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### getMissingValueResultSetAnnotation

    public Character getMissingValueResultSetAnnotation(String annotationName) throws SQLException
    Specified by:
      `getMissingValueResultSetAnnotation` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### getMissingValueColumnAnnotation

    public Character getMissingValueColumnAnnotation(int columnIndex, String annotationName) throws SQLException
    Specified by:
      `getMissingValueColumnAnnotation` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### getMissingValueColumnAnnotation

    public Character getMissingValueColumnAnnotation(String columnName, String annotationName) throws SQLException
    Specified by:
      `getMissingValueColumnAnnotation` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### getColumnAnnotationType

    public int getColumnAnnotationType(int columnIndex, String annotationName) throws SQLException
    Gets the SQL type for the column.
    Specified by:
      `getColumnAnnotationType` in interface `com.sas.sql.AnnotatedResultSet`
    Parameters:
      `columnIndex` - The index of the column that is returned by the ResultSetMetaData object.
      `annotationName` - The name of the annotation that is defined for the column.
    Returns:
      java.sql.Types for the column.
    Throws:
      `SQLException` - This exception is thrown if the value for column is not valid or the annotation name is not defined.
    See Also:
      - `Types`

  - ### getColumnAnnotationType

    public int getColumnAnnotationType(String columnName, String annotationName) throws SQLException
    Specified by:
      `getColumnAnnotationType` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### getColumnAnnotations

    public Map<String,Object> getColumnAnnotations(int columnIndex) throws SQLException
    Specified by:
      `getColumnAnnotations` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### getColumnAnnotations

    public Map<String,Object> getColumnAnnotations(String columnName) throws SQLException
    Specified by:
      `getColumnAnnotations` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### getDoubleColumnAnnotation

    public double getDoubleColumnAnnotation(int columnIndex, String annotationName) throws SQLException
    Specified by:
      `getDoubleColumnAnnotation` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### getDoubleColumnAnnotation

    public double getDoubleColumnAnnotation(String columnName, String annotationName) throws SQLException
    Specified by:
      `getDoubleColumnAnnotation` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### getDoubleResultSetAnnotation

    public double getDoubleResultSetAnnotation(String annotationName) throws SQLException
    Specified by:
      `getDoubleResultSetAnnotation` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### getResultSetAnnotationType

    public int getResultSetAnnotationType(String annotationName) throws SQLException
    Gets the SQL type for the ResultSet.
    Specified by:
      `getResultSetAnnotationType` in interface `com.sas.sql.AnnotatedResultSet`
    Parameters:
      `annotationName` - The name of the annotation that is defined for the ResultSet.
    Returns:
      java.sql.Types for the column.
    Throws:
      `SQLException` - This exception is thrown if the value for column is not valid or the annotation name is not defined.
    See Also:
      - `Types`

  - ### getResultSetAnnotations

    public Map<String,Object> getResultSetAnnotations() throws SQLException
    Specified by:
      `getResultSetAnnotations` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### getStringColumnAnnotation

    public String getStringColumnAnnotation(int columnIndex, String annotationName) throws SQLException
    Specified by:
      `getStringColumnAnnotation` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### getStringColumnAnnotation

    public String getStringColumnAnnotation(String columnName, String annotationName) throws SQLException
    Specified by:
      `getStringColumnAnnotation` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### getStringColumnAnnotations

    public Map<String,Object> getStringColumnAnnotations(String columnName) throws SQLException
    Throws:
      `SQLException`

  - ### getStringResultSetAnnotation

    public String getStringResultSetAnnotation(String annotationName) throws SQLException
    Specified by:
      `getStringResultSetAnnotation` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### hasColumnAnnotation

    public boolean hasColumnAnnotation(int columnIndex, String annotationName) throws SQLException
    Specified by:
      `hasColumnAnnotation` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### hasColumnAnnotation

    public boolean hasColumnAnnotation(String columnName, String annotationName) throws SQLException
    Specified by:
      `hasColumnAnnotation` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### hasColumnAnnotations

    public boolean hasColumnAnnotations(int columnIndex) throws SQLException
    Specified by:
      `hasColumnAnnotations` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### hasColumnAnnotations

    public boolean hasColumnAnnotations(String columnName) throws SQLException
    Specified by:
      `hasColumnAnnotations` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### hasResultSetAnnotation

    public boolean hasResultSetAnnotation(String annotationName) throws SQLException
    Specified by:
      `hasResultSetAnnotation` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### hasResultSetAnnotations

    public boolean hasResultSetAnnotations() throws SQLException
    Specified by:
      `hasResultSetAnnotations` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### setColumnAnnotations

    public void setColumnAnnotations(int arg0, Map<String,Object> arg1) throws SQLException
    Specified by:
      `setColumnAnnotations` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### setColumnAnnotations

    public void setColumnAnnotations(String arg0, Map<String,Object> arg1) throws SQLException
    Specified by:
      `setColumnAnnotations` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### setDoubleColumnAnnotation

    public void setDoubleColumnAnnotation(int arg0, String arg1, Double arg2) throws SQLException
    Specified by:
      `setDoubleColumnAnnotation` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### setDoubleColumnAnnotation

    public void setDoubleColumnAnnotation(String arg0, String arg1, Double arg2) throws SQLException
    Specified by:
      `setDoubleColumnAnnotation` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### setDoubleResultSetAnnotation

    public void setDoubleResultSetAnnotation(String arg0, Double arg1) throws SQLException
    Specified by:
      `setDoubleResultSetAnnotation` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### setNullColumnAnnotation

    public void setNullColumnAnnotation(int arg0, int arg1, String arg2) throws SQLException
    Specified by:
      `setNullColumnAnnotation` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### setNullColumnAnnotation

    public void setNullColumnAnnotation(int arg0, int arg1, String arg2, String arg3) throws SQLException
    Specified by:
      `setNullColumnAnnotation` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### setNullResultSetAnnotation

    public void setNullResultSetAnnotation(int arg0, String arg1) throws SQLException
    Specified by:
      `setNullResultSetAnnotation` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### setNullResultSetAnnotation

    public void setNullResultSetAnnotation(int arg0, String arg1, String arg2) throws SQLException
    Specified by:
      `setNullResultSetAnnotation` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### setResultSetAnnotations

    public void setResultSetAnnotations(Map<String,Object> arg0) throws SQLException
    Specified by:
      `setResultSetAnnotations` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### setStringColumnAnnotation

    public void setStringColumnAnnotation(int arg0, String arg1, String arg2) throws SQLException
    Specified by:
      `setStringColumnAnnotation` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### setStringColumnAnnotation

    public void setStringColumnAnnotation(String arg0, String arg1, String arg2) throws SQLException
    Specified by:
      `setStringColumnAnnotation` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### setStringResultSetAnnotation

    public void setStringResultSetAnnotation(String arg0, String arg1) throws SQLException
    Specified by:
      `setStringResultSetAnnotation` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### wasAnnotationNull

    public boolean wasAnnotationNull() throws SQLException
    Specified by:
      `wasAnnotationNull` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`

  - ### wasAnnotationsNull

    public String[] wasAnnotationsNull() throws SQLException
    Specified by:
      `wasAnnotationsNull` in interface `com.sas.sql.AnnotatedResultSet`
    Throws:
      `SQLException`